net.sourceforge.pmd

## Class RuleSetWriter

- java.lang.Object
- - net.sourceforge.pmd.RuleSetWriter

-     public class RuleSetWriter
      extends Object

  This class represents a way to serialize a RuleSet to an XML configuration file.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `RULESET_NS_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleSetWriter(OutputStream outputStream)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `write(RuleSet ruleSet)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RULESET_NS_URI

          public static final String RULESET_NS_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RuleSetWriter

          public RuleSetWriter(OutputStream outputStream)

  - ### Method Detail

    - #### close

          public void close()

    - #### write

          public void write(RuleSet ruleSet)

Copyright © 2002-2013 InfoEther. All Rights Reserved.